
VIRTUAL CREDIT CARD - Bug #15132

Android [TREATS] [Filter TREATS Points] UI issue and the Terapkan button is not function

14 December 2022 05:01 PM - hsulynn pang

Status: Closed Start date: 14 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec04

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card 4260130060454008 for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) at the Point tab, verify the Filter button icon #1

(7) click Filter button

(8) verify the Filter UI #2

(9) select any filter option and verify the CTA button below #3

(10) click Terapkan button #4

Actual result:

#1 the Filter button icon is not showing as per in inVision

#2 the UI is not showing as per in inVision

#2 the checkbox of Hanya Tampilkan TREATS yang bisa saya redeem is always ticked as default

#3 there is no Hapus Filter button showing

#4 it remain at same screen when  click Terapkan button

Expected result:

#1 the Filter button icon is showing as per in inVision

#2 the UI is showing as per in inVision

#2 the checkbox of Hanya Tampilkan TREATS yang bisa saya redeem is always NOT ticked as default

#3 there is Hapus Filter button showing

#4 it filter out the list

History

#1 - 16 December 2022 06:18 PM - Abdul Halim Baharom

- Status changed from New to In Progress

#2 - 19 December 2022 06:20 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Hao Ter Tai

#3 - 22 December 2022 12:35 AM - Hao Ter Tai

- % Done changed from 0 to 80

#4 - 22 December 2022 02:47 PM - Hao Ter Tai

- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#5 - 22 December 2022 04:47 PM - Hao Ter Tai

- Status changed from Resolved to Assigned

- Assignee changed from Hao Ter Tai to hsulynn pang
#6 - 22 December 2022 07:35 PM - hsulynn pang

- File WhatsApp Video 2022-12-22 at 19.34.47.mp4 added

- File WhatsApp Image 2022-12-22 at 19.34.46.jpeg added

- Status changed from Assigned to Closed

tested ok

Files

WhatsApp Video 2022-12-14 at 16.49.02.mp4 1.56 MB 14 December 2022 hsulynn pang

expected result ii.PNG 2.54 KB 14 December 2022 hsulynn pang

expected result.PNG 51.4 KB 14 December 2022 hsulynn pang

WhatsApp Image 2022-12-22 at 19.34.46.jpeg 55.7 KB 22 December 2022 hsulynn pang

WhatsApp Video 2022-12-22 at 19.34.47.mp4 1.16 MB 22 December 2022 hsulynn pang
